org.bouncycastle.asn1.crmf

## Class CertReqMsg

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.crmf.CertReqMsg

All Implemented Interfaces:
  DEREncodable

    public class CertReqMsg
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Method Summary

Methods
`CertRequest` `getCertReq()`
`static CertReqMsg` `getInstance(java.lang.Object o)`
`ProofOfPossession` `getPop()`
`AttributeTypeAndValue[]` `getRegInfo()`
`DERObject` `toASN1Object()` CertReqMsg ::= SEQUENCE { certReq CertRequest, pop ProofOfPossession OPTIONAL, -- content depends upon key type regInfo SEQUENCE SIZE(1..MAX) OF AttributeTypeAndValue OPTIONAL }

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static CertReqMsg getInstance(java.lang.Object o)

#### getCertReq

    public CertRequest getCertReq()

#### getPop

    public ProofOfPossession getPop()

#### getRegInfo

    public AttributeTypeAndValue[] getRegInfo()

#### toASN1Object

    public DERObject toASN1Object()

     CertReqMsg ::= SEQUENCE {
                        certReq   CertRequest,
                        pop       ProofOfPossession  OPTIONAL,
                        -- content depends upon key type
                        regInfo   SEQUENCE SIZE(1..MAX) OF AttributeTypeAndValue OPTIONAL }

Specified by:
  `toASN1Object` in class `ASN1Encodable`
Returns:
  a basic ASN.1 object representation.